public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/irker/
Date: Tue, 21 Sep 2021 02:55:41 +0000 (UTC)	[thread overview]
Message-ID: <1632192916.9b2ae5eef61816673e1055a3f3378c6377804fa4.sam@gentoo> (raw)

commit:     9b2ae5eef61816673e1055a3f3378c6377804fa4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 21 02:53:48 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 21 02:55:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b2ae5ee

net-irc/irker: add 2.20

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-irc/irker/Manifest          |  1 +
 net-irc/irker/irker-2.20.ebuild | 64 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/net-irc/irker/Manifest b/net-irc/irker/Manifest
index 4b8b5f10205..37895450a1c 100644
--- a/net-irc/irker/Manifest
+++ b/net-irc/irker/Manifest
@@ -1 +1,2 @@
 DIST irker-2.19.tar.gz 44502 BLAKE2B d777ed3b4308dca7f6bb2483bc03ba8ba50a55574da3e4de63138fe88483ae6d3ac46f414a94801d7f27c740e38ddcde494cea4c846fbc59d736441b692747f4 SHA512 7516ebe8adc74902eacc657f0a1d421c285a72f4ce08b84fd93b22635d49ba52acf7aedd03dde9012bc16496be3162bda9fa8486af3df1657af4cabf8719d7c7
+DIST irker-2.20.tar.gz 44949 BLAKE2B 9771059b4af86406233708c6b27f082842dc9269ef14b991391524da382cb389c3d09e119ecef8b278e375bbc4fe5c168a2dfe4220b2be5db09c8891b380b8c0 SHA512 291086cc1d9342c9dca0c3c7f00c1d3a4e33528cc188c21fbee5236df33c38fafb81e9898778b4c68b3a8609bdf5588be2a186e67e1bdaa7c6a0937730006f0d

diff --git a/net-irc/irker/irker-2.20.ebuild b/net-irc/irker/irker-2.20.ebuild
new file mode 100644
index 00000000000..3f3fae0dfee
--- /dev/null
+++ b/net-irc/irker/irker-2.20.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+PYTHON_REQ_USE="ssl"
+
+inherit optfeature python-single-r1 systemd
+
+DESCRIPTION="Submission tools for IRC notifications"
+HOMEPAGE="http://www.catb.org/esr/irker/ https://gitlab.com/esr/irker"
+SRC_URI="http://www.catb.org/esr/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Dependency notes:
+# NOTE: No pkgconfig dep here because of the systemd sed below
+# NOTE: No need for asciidoc here as it's only used for the
+# 'release' makefile target.
+BDEPEND="
+	app-text/docbook-xml-dtd:4.1.2
+	app-text/xmlto
+	${PYTHON_DEPS}
+"
+RDEPEND="${PYTHON_DEPS}"
+
+DOCS=( NEWS README hacking.adoc security.adoc )
+HTML_DOCS=( irkerd.html irkerhook.html )
+
+src_prepare() {
+	default
+
+	# Rely on systemd eclass for systemd service install
+	sed -i -e "/^SYSTEMDSYSTEMUNITDIR/d" Makefile \
+		|| die "sed failed"
+
+	# Prefix support
+	sed -i -e "/^ExecStart=/ s:=/:=${EPREFIX}/:" irkerd.service \
+		|| die "sed failed"
+}
+
+src_install() {
+	default
+
+	python_doscript "${ED}"/usr/bin/irkerd
+	# Not installed with the default Makefile
+	python_doscript irk irkerhook.py
+
+	newinitd "${FILESDIR}"/irkerd.initd irkerd
+	newconfd "${FILESDIR}"/irkerd.confd irkerd
+
+	systemd_dounit irkerd.service
+
+	docinto examples
+	dodoc filter-example.py filter-test.py
+}
+
+pkg_postinst() {
+	optfeature "SOCKS5 proxy support" dev-python/PySocks
+}


             reply	other threads:[~2021-09-21  2:55 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-21  2:55 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17  5:54 [gentoo-commits] repo/gentoo:master commit in: net-irc/irker/ Sam James
2024-04-29  5:44 Sam James
2024-02-21 10:17 Sam James
2023-05-28 19:17 Arthur Zamarin
2023-05-28 19:17 Arthur Zamarin
2023-04-29 15:28 Arthur Zamarin
2023-03-16 18:00 Arthur Zamarin
2023-03-16 17:58 Arthur Zamarin
2023-03-16 17:57 Arthur Zamarin
2023-03-09  7:38 Arthur Zamarin
2023-02-03 12:20 Sam James
2022-10-28 19:53 Sam James
2022-08-26  8:23 Arthur Zamarin
2022-07-26  4:26 Sam James
2022-07-02 17:48 Sam James
2022-07-02 17:48 Sam James
2022-05-04 23:28 Sam James
2022-04-29 10:21 Sam James
2022-04-29  8:27 Sam James
2022-03-26 21:21 Sam James
2022-02-25 20:41 Arthur Zamarin
2022-01-26  4:33 Sam James
2022-01-01  9:38 Sam James
2021-12-13 19:55 Arthur Zamarin
2021-10-28  7:51 Sam James
2021-10-21 23:28 Sam James
2021-05-31 20:45 David Seifert
2021-01-18  4:48 Sam James
2020-08-11 18:29 Sam James
2020-08-11 18:23 Sam James
2020-07-29 19:11 Sam James
2020-07-29  5:28 Sam James
2020-07-29  5:28 Sam James
2020-07-27  4:15 Sam James
2020-07-20  2:23 Sam James
2020-07-20  2:23 Sam James
2020-07-20  2:23 Sam James
2020-07-13 21:56 Sam James
2020-07-13 20:18 Sam James
2020-07-13 20:14 Sam James
2020-07-13 20:05 Sam James
2020-07-13 20:05 Sam James
2020-07-13 20:05 Sam James
2018-06-26 19:21 Pacho Ramos
2018-02-10 16:49 Patrice Clement
2017-12-10 15:25 Ulrich Müller
2017-04-23 21:01 David Seifert
2017-02-10 23:09 Michael Weber
2016-09-02 17:09 Patrice Clement
2016-06-26 18:45 Markus Meier
2016-03-09 17:27 Patrice Clement
2016-03-09 17:27 Patrice Clement
2016-03-09 17:27 Patrice Clement
2016-03-09 17:27 Patrice Clement
2016-01-19  9:21 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1632192916.9b2ae5eef61816673e1055a3f3378c6377804fa4.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox